package com.qianhe.zqbfbdw.bfzj.mapper;

import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzj;
import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzjQuery;
import com.qianhe.zqbfbdw.bfzj.domain.ZqbfBdwBfzjVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ZqbfBdwBfzjMapper {
    /**
     * 条件查询
     */
    List<ZqbfBdwBfzjVo> list(ZqbfBdwBfzjQuery zqbfBdwBfzjQuery);

    /**
     * 查询详情
     */
    ZqbfBdwBfzjVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfBdwBfzj zqbfBdwBfzj);

    /**
     * 修改
     */
    int edit(ZqbfBdwBfzj zqbfBdwBfzj);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
